Results 1 to 6 of 6

Thread: QT SDK - Little Problem

  1. #1
    Join Date
    Dec 2010
    Location
    Roma
    Posts
    6

    Question QT SDK - Little Problem

    Gentle Forum,

    I'm trying to install the package "Linux/X11 32-bit Online" from this site: Download Qt, the cross-platform application framework — Qt - A cross-platform application and UI framework

    In openSuSE 11.4 if I install the default packages all are ok (just remember to install libpng12.so Library) but when I install this packages:

    1)Experimental--->Harmattan Emulator
    2)Development Tools------> Maemo Toolchain

    At 40% the application crash.

    I found this error on my terminal:

    GLib:ERROR:gmain.c:2443:g_main_dispatch: assertion failed: (current->dispatching_sources == &current_source_link)

    Somebody know what meant?

    Thanks for helping

    Ps. Im sorry if is not the right section!

  2. #2
    Join Date
    Dec 2010
    Location
    Roma
    Posts
    6

    Default Re: QT SDK - Little Problem

    Well,

    I understand that we need this libraries:

    g++

    libSM-dev

    libxext-dev

    libxcursor-dev

    libxi-dev

    Make

    libxrender-dev

    libfreetype6-dev

    libxfixes-dev

    libxrandr-dev

    libglib2.0-dev

    libfontconfig1-dev

    libx11-dev

    libxft-dev

    libgl-dev and libglu-dev (if using QtOpenGL)


    But on openSuSE 11.4 i can't found from default repository (oss,contrib,non-oss) this libraries:

    libxext-dev
    libxcursor-dev
    libxi-dev
    libxrender-dev
    libfreetype6-dev
    libxrandr-dev
    libglib2.0-dev
    libx11-dev
    libfontconfig1-dev
    libglu-dev
    libxft-dev
    libgl-dev

    Remember, if you want to install QT SDK, need the GCC compiler for C++ and the library libpng12.so

    Who do I have to inform that this libraries are missing?

    Thanks

  3. #3
    Join Date
    Dec 2010
    Location
    Roma
    Posts
    6

    Default Re: QT SDK - Little Problem

    My big fault!

    Here the packages!

    libxext-dev -> xorg-x11-libXext-devel
    libxcursor-dev -> xorg-x11-libs (maybe xorg-x11-devel)
    libxi-dev -> libxi6-devel
    libxrender-dev -> xorg-x11-libXrender-devel
    libfreetype6-dev -> freetype2-devel
    libxrandr-dev -> xorg-x11-devel
    libglib2.0-dev -> glib2-devel
    libx11-dev -> xorg-x11-libX11-devel
    libfontconfig1-dev -> maybe fontconfig-devel
    libglu-dev -> freeglut-devel
    libxft-dev -> xorg-x11-libs (maybe xorg-x11-devel)
    libgl-dev -> Mesa-devel

    I thank Orion from the it-opensuse.org community for helping me.

    Ps. The installation of this libraries don't solve the problem. The installation of:

    1)Experimental--->Harmattan Emulator
    2)Development Tools------> Maemo Toolchain

    Continue to crash at 40%.

  4. #4
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: QT SDK - Little Problem

    On 07/06/2011 12:06 PM, Templare wrote:
    > I'm trying to install the package "Linux/X11 32-bit Online" from this
    > site (http://qt.nokia.com/downloads)


    -=welcome=- new poster!

    is there a reason you do not wish to install the Qt development packages
    available from the openSUSE repos, via YaST?

    --
    DD
    -Caveat-Hardware-Software-

  5. #5
    Join Date
    Dec 2010
    Location
    Roma
    Posts
    6

    Default Re: QT SDK - Little Problem

    Thank you for replying me and welcoming . Actually , I didn’t install it by YAST because I didn’t know there’s QT develop package with graphics interface. I need Nokia’s one to develop applications on its devices , expecially for Meego. The problem , I didn’t solve it up to now , but I can say I didn’t have such trouble on Fedora 15 , neither on Chakra Linux and Kubuntu. The crash always happens at 40% even I installed also these requested libraries and I don’t understand the reason why of this crash .

    I’d like to ask you if someone of you could try to install both this software and the packages above mentioned by me .

  6. #6
    Join Date
    Dec 2010
    Location
    Roma
    Posts
    6

    Default Re: QT SDK - Little Problem

    Another update: Works correctly on Mandriva 2010.2. The problem is present only on openSuSE 11.4

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •